DEVNAME(3)

NAME
devname - get device name

SYNOPSIS
#include <stdlib.h>
char *
devname(dev_t dev, mode_t type);

DESCRIPTION
The devname() function returns a pointer to the name of the block or character device in “/dev” with a device number of dev, and a file type matching the one encoded in type which must be one of S_IFBLK or S_IFCHR. If no device matches the specified values, or no information is available, the string “??” is returned.

SEE ALSO
stat(2), dev_mkdb(8)

HISTORY
The devname function call appeared in 4.4BSD.